=== debian/control ===
Source: gettext
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-exec (>= 0.13), dh-elpa, bison, file, help2man, xz-utils, default-jdk <!nojava>, maven-repo-helper <!nojava>, libunistring-dev, libxml2-dev, groff
Homepage: https://www.gnu.org/software/gettext/
Rules-Requires-Root: no

Package: gettext-base
Section: utils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Internationalization utilities for the base system
 This package includes the gettext and ngettext programs which allow
 other packages to internationalize the messages given by shell scripts.

Package: gettext
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, dpkg (>= 1.15.4) | install-info
Recommends: curl | wget | lynx
Breaks: autopoint (<= 0.17-11)
Suggests: gettext-doc, autopoint, libasprintf-dev, libgettextpo-dev
Description: GNU Internationalization utilities
 Interesting for authors or maintainers of other packages or programs
 which they want to see internationalized.

Package: gettext-el
Section: editors
Architecture: all
Depends: gettext, ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: Emacs mode for editing gettext .po files
 This package provides an Emacs major mode for editing .po files.

Package: gettext-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Documentation for GNU gettext
 This package contains the HTML documentation for GNU gettext, as well as
 simple "hello world" examples in several programming languages.

Package: autopoint
Architecture: all
Multi-Arch: foreign
Depends: xz-utils, ${misc:Depends}
Replaces: gettext (<= 0.17-11)
Description: tool for setting up gettext infrastructure in a source package
 The `autopoint' program copies standard gettext infrastructure files
 into a source package.  It extracts from a macro call of the form
 `AM_GNU_GETTEXT_VERSION(VERSION)', found in the package's
 `configure.in' or `configure.ac' file, the gettext version used by the
 package, and copies the infrastructure files belonging to this version
 into the package.

Package: libgettextpo0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gettext (<< 0.18.1.1-6)
Replaces: gettext (<< 0.18.1.1-6)
Description: process PO files - shared library
 This package contains the libgettextpo shared library for interfacing
 programmatically with GNU gettext .po files.

Package: libasprintf0v5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gettext-base (<< 0.18.1.1-6), libasprintf0c2
Replaces: gettext-base (<< 0.18.1.1-6), libasprintf0c2
Description: use fprintf and friends in C++ - shared library
 This package contains the libasprintf shared library which makes the
 C formatted output routines (fprintf et al.) usable in C++ programs,
 for use with the <string> strings and the <iostream> streams.

Package: libgettextpo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgettextpo0 (= ${binary:Version}), ${misc:Depends}
Suggests: gettext-doc
Breaks: gettext (<< 0.18.1.1-10)
Replaces: gettext (<< 0.18.1.1-10)
Description: process PO files - static libraries and headers
 This package contains development files for the libgettextpo library.

Package: libasprintf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasprintf0v5 (= ${binary:Version}), ${misc:Depends}
Suggests: gettext-doc
Breaks: gettext (<< 0.18.1.1-10)
Replaces: gettext (<< 0.18.1.1-10)
Description: use fprintf and friends in C++ - static libraries and headers
 This package contains development files for the libasprintf library.
