## gettext 0.22.5

=== debian/changelog ===
gettext (0.22.5-3) unstable; urgency=medium

  * Disable tests that no longer work with new libunistring.
  * Update Standards-Version (no special changes).

 -- Santiago Vila <sanvila@debian.org>  Mon, 16 Dec 2024 01:20:00 +0100

gettext (0.22.5-2) unstable; urgency=medium

  * This upload should use the new dh-elpa. Closes: #1077102.
  * Add a recent mawk to the build-depends having gawk or an old mawk.
  * Drop debian/missing-sources/gettext-tools/m4/csharpexec-test.cs, already upstream.
  * Drop obsolete debian/rules.old.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Jul 2024 13:05:00 +0200

gettext (0.22.5-1) unstable; urgency=medium

  * New upstream release. Closes: #1057973.
  * msgfmt --java2 should now work with Java 21. Closes: #1056293.
  * None of the debian/patches for version 0.21 are required anymore.
  * Link against libtextstyle. For now this should be considered
    as a private library, like libgettextlib or libgettextsrc.
  * Disable autoreconf.
  * Run tests sequentially.
  * Update lintian warnings.
  * Update libintl.pom.xml.
  * Drop build-dependency on help2man.
  * Cherry-pick two patches from upstream for tests/autopoint-3.
  * Add build-dependency on gawk. This is a workaround for a bug in mawk
    which makes test/autopoint-3 to fail in a strange way.
  * Switch copyright file to machine-readable format.
  * Add some lintian overrides for the source package.

 -- Santiago Vila <sanvila@debian.org>  Mon, 24 Jun 2024 17:20:00 +0200

gettext (0.21-15) unstable; urgency=medium

  * Keep implicit function declarations as warnings. Closes: #1073335.
    This will be fixed properly in gettext 0.22.x.
  * Fix changelog typo in version 0.21-12.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jun 2024 00:10:00 +0200

gettext (0.21-14) unstable; urgency=medium

  * Update po-mode. Closes: #1055020.
  * Disable tests/autopoint-3. Closes: #1057120.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Dec 2023 19:25:00 +0100

gettext (0.21-13) unstable; urgency=medium

  * Disable java build-dependency for hurd-amd64, by changing
    "hurd-i386" to "hurd-any" in debian/control, debian/gettext.install
    and debian/not-installed. Closes: #1040709.
    Thanks to Samuel Thibault.

 -- Santiago Vila <sanvila@debian.org>  Sun, 09 Jul 2023 22:25:00 +0200

gettext (0.21-12) unstable; urgency=medium

  * Add debian/missing-sources/gettext-tools/m4/csharpexec-test.cs
    which is the source for gettext-tools/m4/csharpexec-test.exe.
    Reported by Bastien Roucariès. Thanks to Bruno Haible. Closes: #1031952.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2023 16:20:00 +0100

gettext (0.21-11) unstable; urgency=medium

  * Use a common debian/watch file which is valid for most GNU packages.
  * Set upstream metadata fields Name, Bug-Submit and Repository-Browse.
  * Update lintian override to new format.
  * Update standards version to 4.6.2.
  * Trim trailing whitespace.
  * Run wrap-and-sort.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Jan 2023 18:35:00 +0100

gettext (0.21-10) unstable; urgency=medium

  * Add support for recent Java versions up to Java 17.
    Thanks to Adrian Bunk. Closes: #982526, #1012105.

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Nov 2022 12:50:00 +0100

gettext (0.21-9) unstable; urgency=medium

  * Really fix debian/not-installed file. Thanks to Jessica Clarke.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Aug 2022 14:00:00 +0200

gettext (0.21-8) unstable; urgency=medium

  * Fix debian/not-installed file. It was using filter logic in reverse
    for non-Java architectures.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Aug 2022 13:35:00 +0200

gettext (0.21-7) unstable; urgency=medium

  * Restrict default-jdk and maven-repo-helper build dependencies to
    architectures that support Java, and adjust debian/rules,
    debian/gettext.install and debian/not-installed appropriately.
    Based on a patch by Jessica Clarke. Closes: #981669, #982085.
  * Drop outdated dependency on install-info. Closes: #1013201.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Aug 2022 22:50:00 +0200

gettext (0.21-6) unstable; urgency=medium

  * Remove unportable tests in perror and strerror_r.
    Should fix FTBFS problem in armel, armhf and mipsel.
    Patch by Paul Eggert. Reported by Florian Weimer here:
    https://lists.gnu.org/r/bug-gnulib/2020-08/msg00220.html

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Mar 2022 00:30:00 +0100

gettext (0.21-5) unstable; urgency=medium

  * Move dh-elpa to Build-Depends-Indep and change it to dh-sequence-elpa.
    Remove explicit "--with elpa" options in debian/rules. Closes: #990039.
    Thanks to Sebastien Bacher.
  * Update test for changed libunistring line breaking behaviour.
    Patch from Bruno Haible. Closes: #1005582.
    Thanks to Sebastien Bacher.

 -- Santiago Vila <sanvila@debian.org>  Fri, 25 Mar 2022 18:20:00 +0100
