=== debian/control ===
--- 
+++ 
@@ -2,8 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), dh-exec (>= 0.13), dh-elpa, bison, file, help2man, xz-utils, default-jdk <!nojava>, maven-repo-helper <!nojava>, libunistring-dev, libxml2-dev, groff
+Standards-Version: 4.7.0
+Build-Depends: bison,
+               debhelper-compat (= 13),
+               default-jdk [!hppa !hurd-any !kfreebsd-any] <!nojava>,
+               dh-exec (>= 0.13),
+               file,
+               gawk | mawk (<= 1.3.4.20230808-1) | mawk (>= 1.3.4.20240622-1),
+               groff,
+               libunistring-dev,
+               libxml2-dev,
+               maven-repo-helper [!hppa !hurd-any !kfreebsd-any] <!nojava>,
+               xz-utils
+Build-Depends-Indep: dh-sequence-elpa
 Homepage: https://www.gnu.org/software/gettext/
 Rules-Requires-Root: no
 
@@ -12,7 +23,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNU Internationalization utilities for the base system
  This package includes the gettext and ngettext programs which allow
  other packages to internationalize the messages given by shell scripts.
@@ -20,10 +31,10 @@
 Package: gettext
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, dpkg (>= 1.15.4) | install-info
+Depends: gettext-base, ${misc:Depends}, ${shlibs:Depends}
 Recommends: curl | wget | lynx
 Breaks: autopoint (<= 0.17-11)
-Suggests: gettext-doc, autopoint, libasprintf-dev, libgettextpo-dev
+Suggests: autopoint, gettext-doc, libasprintf-dev, libgettextpo-dev
 Description: GNU Internationalization utilities
  Interesting for authors or maintainers of other packages or programs
  which they want to see internationalized.
@@ -31,7 +42,7 @@
 Package: gettext-el
 Section: editors
 Architecture: all
-Depends: gettext, ${misc:Depends}, ${elpa:Depends}
+Depends: gettext, ${elpa:Depends}, ${misc:Depends}
 Enhances: emacs
 Description: Emacs mode for editing gettext .po files
  This package provides an Emacs major mode for editing .po files.
@@ -39,7 +50,7 @@
 Package: gettext-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Documentation for GNU gettext
  This package contains the HTML documentation for GNU gettext, as well as
  simple "hello world" examples in several programming languages.
@@ -61,7 +72,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gettext (<< 0.18.1.1-6)
 Replaces: gettext (<< 0.18.1.1-6)
 Description: process PO files - shared library
@@ -72,7 +83,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gettext-base (<< 0.18.1.1-6), libasprintf0c2
 Replaces: gettext-base (<< 0.18.1.1-6), libasprintf0c2
 Description: use fprintf and friends in C++ - shared library
