=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 
+XFAIL_TESTS := msgmerge-28 msgmerge-compendium-5
+XFAIL_TESTS += test-ctype_alnum test-ctype_alpha test-ctype_graph test-ctype_lower \
+  test-ctype_print test-ctype_punct test-ctype_upper test-uc_tolower
+
 %:
-	dh $@ --with elpa $(WITH_MAVEN)
+	dh $@ $(WITH_MAVEN)
 
+override_dh_autoreconf:
 
 #
 # Parameters to configure.
@@ -13,8 +18,10 @@
   --disable-rpath \
   --without-emacs
 
-ifeq (,$(filter nojava,$(DEB_BUILD_PROFILES)))
-  WITH_MAVEN = --with maven-repo-helper
+ifneq (,$(filter maven-repo-helper,$(shell dh -l)))
+  ifeq (,$(filter nojava,$(DEB_BUILD_PROFILES)))
+    WITH_MAVEN = --with maven-repo-helper
+  endif
 endif
 
 # On emulated m68k and sh4 targets, OpenMP can cause lockups,
@@ -56,3 +63,6 @@
 # gettext-el has no test suite, but the package as a whole does have a
 # test suite, run by the normal dh_auto_test, that should not be skipped.
 export DH_ELPA_TEST_DISABLE=disable
+
+override_dh_auto_test:
+	dh_auto_test --max-parallel=1 -- XFAIL_TESTS="$(XFAIL_TESTS)"
