=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: bison,
                debhelper-compat (= 13),
                default-jdk [!hppa !hurd-any !kfreebsd-any] <!nojava>,
@@ -10,12 +10,17 @@
                file,
                gawk | mawk (<= 1.3.4.20230808-1) | mawk (>= 1.3.4.20240622-1),
                groff,
+               libacl1-dev,
+               libattr1-dev,
+               libncurses-dev,
                libunistring-dev,
                libxml2-dev,
                maven-repo-helper [!hppa !hurd-any !kfreebsd-any] <!nojava>,
                xz-utils
 Build-Depends-Indep: dh-sequence-elpa
 Homepage: https://www.gnu.org/software/gettext/
+Vcs-Git: https://salsa.debian.org/sanvila/gettext.git
+Vcs-Browser: https://salsa.debian.org/sanvila/gettext
 Rules-Requires-Root: no
 
 Package: gettext-base
@@ -34,7 +39,7 @@
 Depends: gettext-base, ${misc:Depends}, ${shlibs:Depends}
 Recommends: curl | wget | lynx
 Breaks: autopoint (<= 0.17-11)
-Suggests: autopoint, gettext-doc, libasprintf-dev, libgettextpo-dev
+Suggests: autopoint, gettext-doc, libasprintf-dev, libgettextpo-dev, gnulib-l10n
 Description: GNU Internationalization utilities
  Interesting for authors or maintainers of other packages or programs
  which they want to see internationalized.
