=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-XFAIL_TESTS := msgmerge-28 msgmerge-compendium-5
-XFAIL_TESTS += test-ctype_alnum test-ctype_alpha test-ctype_graph test-ctype_lower \
-  test-ctype_print test-ctype_punct test-ctype_upper test-uc_tolower
 
 %:
 	dh $@ $(WITH_MAVEN)
@@ -65,4 +61,4 @@
 export DH_ELPA_TEST_DISABLE=disable
 
 override_dh_auto_test:
-	dh_auto_test --max-parallel=1 -- XFAIL_TESTS="$(XFAIL_TESTS)"
+	dh_auto_test --max-parallel=1
