## gettext 0.23.2

=== debian/changelog ===
gettext (0.23.2-1) unstable; urgency=medium

  * New upstream release.
  * Temporarily skip test-set-mode-acl-2.sh, it fails with reprotest.
  * Apply patch from Bruno Haible to fix spurious failure on sparc64.
  * Drop gawk and friends from Build-Depends.
  * Drop "Rules-Requires-Root: no" (default).
  * Mark gettext-doc as "Multi-Arch: foreign".
  * Update debian/watch to format version 5.

 -- Santiago Vila <sanvila@debian.org>  Thu, 13 Nov 2025 18:20:00 +0100
