=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                default-jdk [!hppa !hurd-any !kfreebsd-any] <!nojava>,
                dh-exec (>= 0.13),
                file,
-               gawk | mawk (<= 1.3.4.20230808-1) | mawk (>= 1.3.4.20240622-1),
                groff,
                libacl1-dev,
                libattr1-dev,
@@ -21,7 +20,6 @@
 Homepage: https://www.gnu.org/software/gettext/
 Vcs-Git: https://salsa.debian.org/sanvila/gettext.git
 Vcs-Browser: https://salsa.debian.org/sanvila/gettext
-Rules-Requires-Root: no
 
 Package: gettext-base
 Section: utils
@@ -55,6 +53,7 @@
 Package: gettext-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for GNU gettext
  This package contains the HTML documentation for GNU gettext, as well as
